=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# for stable-backports
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_install:
	# re-arrange files in doc:pkg
	mv debian/tmp/usr/share/doc/maliit-framework-doc debian/tmp/usr/share/doc/maliit-framework/html
	rm debian/tmp/usr/share/doc/maliit-framework/LICENSE.LGPL*

	# drop build path from generated .html files
	cd debian/tmp/usr/share/doc/maliit-framework/html && \
	    find . -type f | while read file; do \
	        sed -r -e 's@$(CURDIR)@@g' -i $$file; \
	    done

	# finally, run dh_install
	dh_install

override_dh_installexamples:
	dh_installexamples

	# drop Vcs control files from doc:pkg
	-find debian/maliit-framework-doc/ -name .gitignore -delete

override_dh_auto_test:
	xvfb-run -a dh_auto_test --no-parallel

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
