=== debian/watch ===
version=4
https://github.com/maliit/framework/releases /maliit/framework/archive/refs/tags/(\d\S*).tar.gz
