## maliit-framework 2.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(maliit-framework VERSION 2.2.1)
+project(maliit-framework VERSION 2.3.0)
 
 # Build options
 
 option(enable-docs "Build documentation" ON)
 option(enable-tests "Build tests" ON)
+option(install-tests "Install unit tests" OFF)
 option(enable-examples "Build examples" OFF)
 
 option(enable-glib "Build GLib support" ON)
 
 option(enable-xcb "Compile with xcb support" ON)
 option(enable-wayland "Compile with support for wayland" ON)
-option(enable-wayland-gtk "Compile with support for wayland gtk+" OFF)
 option(enable-qt5-inputcontext "Compile with Qt 5 input context" ON)
 
 option(enable-hwkeyboard "Enable support for the hardware keyboard" ON)
@@ -29,11 +29,6 @@
 if(NOT DEFINED QT5_MKSPECS_INSTALL_DIR)
     set(QT5_MKSPECS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/mkspecs" CACHE PATH
             "Installation directory for Qt 5 mkspecs files [LIB_INSTALL_DIR/qt5/mkspecs]")
-endif()
-
-if(NOT DEFINED GTK3_PLUGINS_INSTALL_DIR)
-    set(GTK3_PLUGINS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/gtk-3.0/3.0.0" CACHE PATH
-            "Installation directory for Gtk 3 plugins [LIB_INSTALL_DIR/gtk-3.0/3.0.0]")
 endif()
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
@@ -55,7 +50,6 @@
     find_package(Qt5WaylandClient 5.14 REQUIRED PRIVATE)
     find_package(Qt5XkbCommonSupport REQUIRED PRIVATE)
     pkg_check_modules(XKBCOMMON REQUIRED IMPORTED_TARGET xkbcommon)
-    find_package(Gtk3)
 endif()
 
 include_directories(src common)
@@ -156,6 +150,8 @@
     src/quick/maliitquick.h
     src/abstractplatform.cpp
     src/abstractplatform.h
+    src/logging.cpp
+    src/logging.h
     src/mattributeextensionid.cpp
     src/mattributeextensionid.h
     src/mattributeextensionmanager.cpp
@@ -304,3 +300,4 @@
 if(enable-wayland)
     set(INPUT_PANEL_SHELL_SOURCES
             src/qt/plugins/shellintegration/inputpanelshellplugin.cpp
+            src/qt/plugins/shellintegration/qwaylandinputpanelshellintegration.cpp
