=== debian/changelog ===
maliit-framework (2.3.0-8ubuntu1) resolute; urgency=high

  * Disable Qt6 build. FTBFS with Qt 6.10

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Feb 2026 08:16:40 +0000

maliit-framework (2.3.0-8build3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Fri, 20 Feb 2026 11:30:25 +0000

maliit-framework (2.3.0-8build2) resolute; urgency=medium

  * No-change rebuild against Qt 5.15.18 on amd64v3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 17 Jan 2026 22:36:37 +0300

maliit-framework (2.3.0-8build1) resolute; urgency=medium

  * No-change rebuild against Qt 5.15.18.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 12 Jan 2026 16:37:13 +0300

maliit-framework (2.3.0-8) unstable; urgency=medium

  * debian/control:
    + Drop alternative D: maliit-server-qt6-dev. Inappropriate for a purely
      transitional package.
    + Drop Priority: field.
    + Bump Standards-Version: to 4.7.3.
  * debian/patches:
    + Add 2001-obey-lomiri-focus.patch. Verify an application has focus before
      granting it input. (LP:#1594863, CVE-2016-1584).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 08 Jan 2026 09:05:56 +0100

maliit-framework (2.3.0-7) unstable; urgency=medium

  * Upload via NEW (new bin:pkgs introduced).

  [ TheKit ]
  * debian/patches:
    + Import Qt6 compatibility patches from
      https://github.com/cordlandwehr/framework/tree/qt6-support_v2
  * debian/control:
    + Add co-installable maliit-framework packages built with Qt6
  * debian/rules:
    + Build both Qt5 and Qt6 versions of maliit-framework

  [ Mike Gabriel ]
  * debian/control:
    + Split maliit-server binary from inputcontext plugins for Qt.
    + Rework SYNOPSIS and LONG_DESCRIPTION fields.
    + Make maliit-framework-dev a transitional package, pulling in maliit-
      framework-qt5-dev (preferred) or maliit-server-qt6-dev.
    + Drop from D: (maliit-server-qt5): qml-module-qtquick-localstorage. (No
      clue why this got added in earlier times).
    + Assure that same-version libmaliit{,6}-plugins2 is installed with maliit-
      server-qt{5,6} bin:pkg.
    + Assure that same-version libmaliit{,6}-plugins2 is installed with maliit-
      framework-dev-qt{5,6} dev:pkg.
    + Let maliit-server-qt{5,6} recommend the maliit-framework meta package (so
      inputcontext modules get installed).
    + Reorder bin:pkgs.
  * debian/xinput/maliit:
    + Try to handle maliit{,6}-server startup kind of intelligently for X11
      session startup (prefer maliit6-server, if not available use maliit-
      server, if that's neither available, do not set IM_MODULE contexts.
    + For now, prefer Qt5 server variant over the Qt6 variant for now.
  * debian/copyright:
    + Use new FSF mailing address.
    + Update copyright attributions for debian/.
  * debian/patches:
    + Fix grammar issue in header of 0013-Make-shared-libraries-
      coinstallable.patch.
    + Fix typo in header of 0008-Enforce-Qt-version-in-public-link-
      interface.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 29 Nov 2025 16:42:06 +0100

maliit-framework (2.3.0-6) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + Add more Multi-Arch: {same,foreign} declarations. Thanks, Multi-Arch
      Hinter.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Aug 2025 16:46:27 +0200

maliit-framework (2.3.0-5) unstable; urgency=medium

  * debian/patches:
    + Add 1001_input-context-look-for-inputMethodExtensions-at-the-parents-
      too.patch. Provide means for modifying key labels in maliit-keyboard.
  * debian/libmaliit-plugins2.symbols:
    + Drop file (C++ symbols, the .symbol file is causing more woes than being
      helpful).
  * debian/{rules,control}:
    + Drop pkgkde_symbolshelper usage.
  * debian/rules:
    + Build with examples.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
    + In B-D, switch from pkg-config to pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 24 Aug 2024 22:31:04 +0200

maliit-framework (2.3.0-4) unstable; urgency=medium

  * debian/maliit-framework.sh:
    + Correctly set GTK_IM_MODULE/QT_IM_MODULE.
    + Also set GTK_IM_MODULE/QT_IM_MODULE for Lomiri.
  * debian/xinput/maliit:
    + Adjust to correct values for GTK_IM_MODULE / QT_IM_MODULE.
  * debian/patches:
    + Add 0004_connection-Move-dbus-socket-to-well-known-path-in-XD.patch. Move
      dbus socket to well known path in XDG_RUNTIME_DIR.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 08 Feb 2024 08:51:15 +0100

maliit-framework (2.3.0-3.2) unstable; urgency=medium

  * Non-maintainer upload
  * debian/libmaliit-plugins2.symbols:
    + Update other archs for LTO using buildd logs (closes: #1024999)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 29 Nov 2022 13:46:06 +0100

maliit-framework (2.3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * First step to build with LTO enabled (see bug 1024999):
    + debian/rules: Enable LTO
    + create d/libmaliit-plugins2.symbols for amd64 only
  * debian/rules:
    + Use Bsymbolic-functions in Ubuntu to make the tests pass

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 29 Nov 2022 01:42:08 +0100

maliit-framework (2.3.0-3) unstable; urgency=medium

  * debian/watch:
    + Adjust watch file to Github release/tag URLs.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Oct 2022 21:12:37 +0200

maliit-framework (2.3.0-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * d/changelog: Post-upload modify 2.3.0-1 to better describe what changed
    since NMU 2.2.1-2.1.

  [ Dmitry Shachnev ]
  * Update debian/libmaliit-plugins2.symbols from buildds’ logs.
  * Mark some symbols as substs.
  * Mark some symbols as optional to fix FTBFS with -O3.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Oct 2022 01:07:16 +0200

maliit-framework (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:

