=== debian/control ===
Source: maliit-framework
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               libdbus-1-dev,
               libglib2.0-dev,
               libkf5wayland-dev,
               libmtdev-dev,
               libudev-dev,
               libwayland-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-xfixes0-dev,
               libxext-dev,
               pkgconf,
               qml-module-qtquick2,
               qtbase5-dev (>= 5.2),
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtwayland5-dev-tools,
               qtwayland5-private-dev,
               wayland-protocols,
               xauth,
               xvfb,
Standards-Version: 4.7.3
Homepage: https://github.com/maliit/framework
Vcs-Browser: https://salsa.debian.org/debian/maliit-framework
Vcs-Git: https://salsa.debian.org/debian/maliit-framework.git
Rules-Requires-Root: no

Package: maliit-framework
Architecture: all
Section: misc
Depends: ${misc:Depends},
         maliit-server-qt5
Recommends: maliit-inputcontext-gtk3,
            maliit-inputcontext-qt5,
Description: Maliit Input Method Framework
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).

Package: maliit-framework-dev
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: maliit-framework-qt5-dev,
         ${misc:Depends},
Description: Maliit Input Method Framework - transitional development package
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package is a transitional package, please update your build-dependency
 and reference either maliit-framework-qt6-dev or maliit-framework-qt5-dev.

Package: libmaliit-glib2
Depends: ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Breaks: libmaliit-glib0,
Replaces: libmaliit-glib0,
Description: Maliit Input Method Framework - GLib Bindings
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides GLib bindings for the Maliit framework.

Package: libmaliit-glib-dev
Depends: libmaliit-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Section: libdevel
Description: Maliit Input Method Framework - GLib Development Headers
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides GLib development headers for the Maliit framework.

Package: maliit-framework-doc
Depends: libjs-jquery,
         ${misc:Depends},
Architecture: all
Multi-Arch: foreign
Section: doc
Description: docs for Maliit framework
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 Documentation for the framework of Maliit.

Package: maliit-server-qt5
Architecture: any
Section: misc
Depends: libmaliit-plugins2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: maliit-framework (>= ${source:Version}),
Breaks: gir1.2-maliit-1.0 (<< ${source:Version}),
        libmaliit-glib0 (<< ${source:Version}),
        libmaliit0 (<< ${source:Version}),
        maliit-dbus-activation (<< ${source:Version}),
        maliit-inputcontext-qt4 (<< ${source:Version}),
        maliit-framework (<< 2.3.0-7~),
Replaces: maliit-framework (<< 2.3.0-7~),
Description: Maliit Input Method Framework Server (Qt5 version)
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package contains the Qt5 version of the Maliit framework server.

Package: maliit-inputcontext-qt5
Architecture: any
Section: misc
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: maliit-framework (<< 2.3.0-7~),
Replaces: maliit-framework (<< 2.3.0-7~),
Description: Maliit Inputcontext for Qt5 applications
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package contains the Maliit Inputcontext plugins for Qt5
 applications.

Package: libmaliit-plugins2
Architecture: any
Multi-Arch: same
Breaks: maliit-framework (<< 0.99),
        libmaliit-plugins0,
Replaces: maliit-framework (<< 0.99),
          libmaliit-plugins0,
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Maliit Input Method Framework - Plugin Library (Qt5 version)
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides the maliit plugin library for the Maliit
 framework (Qt5 version).

Package: maliit-framework-qt5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libmaliit-plugins2 (= ${binary:Version}),
         ${misc:Depends},
Description: Maliit Input Method Framework - Development Files (Qt5 version)
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package is needed to compile plugins for the Maliit framework (Qt5
 version).
