=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,35 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+NULL =
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+
+# makes the tests pass in Ubuntu
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
+export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
+endif
+
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# for stable-backports
-export DPKG_GENSYMBOLS_CHECK_LEVEL=0
+%:
+	dh $@ --
 
-%:
-	dh $@ --with pkgkde_symbolshelper
+override_dh_auto_configure:
+	dh_auto_configure --builddirectory=build-qt5 --buildsystem=cmake -- \
+		-DBUILD_WITH_QT6=OFF -Denable-glib=ON  -Denable_examples=ON ..
+
+override_dh_auto_build:
+	dh_auto_build --builddirectory=build-qt5 --buildsystem=cmake ..
+
+override_dh_auto_install:
+	dh_auto_install --builddirectory=build-qt5 --buildsystem=cmake ..
 
 override_dh_install:
+	# drop duplicate files from Qt6 variant build
+	rm -rf debian/tmp/usr/share/doc/maliit6-framework-doc
+
 	# re-arrange files in doc:pkg
 	mv debian/tmp/usr/share/doc/maliit-framework-doc debian/tmp/usr/share/doc/maliit-framework/html
 	rm debian/tmp/usr/share/doc/maliit-framework/LICENSE.LGPL*
@@ -32,7 +50,14 @@
 	-find debian/maliit-framework-doc/ -name .gitignore -delete
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test --no-parallel
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter $(DEB_HOST_ARCH),$(TESTSKIP_ARCHITECTURES_QT5)))
+	xvfb-run -a dh_auto_test --builddirectory=build-qt5 --buildsystem=cmake --no-parallel ..
+endif
+endif
+
+override_dh_auto_clean:
+	dh_auto_clean --builddirectory=build-qt5 --buildsystem=cmake ..
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
