## maliit-framework 2.3.0+p22.04+vrelease+git20240824.0946

=== debian/changelog ===
maliit-framework (2.3.0+p22.04+vrelease+git20240824.0946-0) jammy; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Aug 2024 09:46:45 +0000

maliit-framework (2.3.0-0neon) jammy; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 16 Jan 2023 19:06:32 +1000

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu26) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:03:38 +0100

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu25) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:49:05 +0100

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu24) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-5.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Oct 2019 06:30:24 +0000

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu23) eoan; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 08 Jul 2019 11:44:04 +0300

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu22) disco; urgency=medium

  * Rebuild against qtbase-abi-5-12-2.
  * debian/rules: Add s390x to list of architectures to skip tests on.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:18:47 +0000

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu21) disco; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-3.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 03 Jan 2019 03:55:25 +0000

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu20) disco; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 13 Nov 2018 17:30:00 -0600

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu19) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 30 Jun 2018 23:56:19 -0500

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu18) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:00:20 -0500

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu17) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:49:35 -0600

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu16) bionic; urgency=medium

  * No-change rebuild against qtbase5-private-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Nov 2017 17:19:13 -0500

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu15) artful; urgency=medium

  * Build-depend on qml-module-qtquick2 instead of transitional package
    qtdeclarative5-qtquick2-plugin.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 26 Jun 2017 15:03:09 +0300

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu14) zesty; urgency=medium

  [ Michael Sheldon ]
  * debian/patches/0017-maliit-config-path-environment-variable.patch:
    - Allow the maliit config to be set via an environment variable

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 06 Feb 2017 09:46:21 +0100

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu13~2) zesty; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 04 Jan 2017 08:56:43 +0200

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu12) zesty; urgency=medium

  [ Michael Sheldon ]
  * debian/patches/0016-set-plugin-path-from-environment.patch:
    - Allow the plugin path to be set from an environment variable

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 04 Nov 2016 18:00:08 +0100

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu11) yakkety; urgency=medium

  [ Andreas Pokorny ]
  * Add compose-input-platform-in-maliit.patch to load qts compose key input
    context plugin
    (LP: #1607237)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 04 Aug 2016 14:40:45 +0300

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu11~2) yakkety; urgency=medium

  * Rebuild against Qt 5.6.
  * Disable tests on powerpc because of failures.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 20 Jul 2016 14:08:56 +0300

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu10) yakkety; urgency=medium

  * debian/patches/0015-obey-unity8-focus.patch:
    - Fix FocusInfo dbus path (LP: #1599145)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 05 Jul 2016 14:18:38 +0000

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu9) yakkety; urgency=medium

  [ Michael Sheldon ]
  * debian/patches/0015-obey-unity8-focus.patch:
    - Ensure that an application has focus before allowing it to claim input
      if we're running under Unity8

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control:
    - Add the libdbus-1-dev build-dep as per new patch requirement

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 27 Jun 2016 14:45:04 +0200

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu5) vivid; urgency=medium

  * Add a fix that has been merged upstream. Checking the
    MALIIT_SERVER_ADDRESS for the qt input context.

 -- Brandon Schaefer <brandontschaefer@gmail.com>  Tue, 24 May 2016 12:06:11 -0700
